Skip to content

Paginated audit log entries

GET
/api/v1/audit/entries
curl --request GET \
--url 'https://api.ultimateteam.ai/api/v1/audit/entries?agent_role=&action_type=&limit=50' \
--header 'X-API-Key: <X-API-Key>'

Retrieve paginated audit log entries with optional filters.

agent_role
Agent Role

Filter by agent role

string
""

Filter by agent role

action_type
Action Type

Filter by action type

string
""

Filter by action type

limit
Limit

Page size

integer
default: 50 >= 1 <= 500

Page size

Successful Response

Media typeapplication/json
AuditEntriesResponse

Response for paginated audit log entries.

object
count
required
Count
integer
entries
required
Entries
Array<object>
object
key
additional properties
any
Examplegenerated
{
"count": 1,
"entries": [
{}
]
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}